List supported agent models
curl --request GET \
--url https://api.conduit.ai/v1/models \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.conduit.ai/v1/models"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.conduit.ai/v1/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"model_string": "openai:gpt-4o",
"provider": "openai",
"name": "GPT-4o",
"context_window_tokens": 128000
},
{
"model_string": "anthropic:claude-sonnet-4-6",
"provider": "anthropic",
"name": "Claude Sonnet 4.6",
"context_window_tokens": 200000
}
]
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}Agents
List Supported Models
Lists the LLM models that can be set as an agent’s model on create or update. The set is global and can change over time, so read it here instead of hardcoding values.
GET
/
v1
/
models
List supported agent models
Authorizations
Conduit API token. Use Authorization: Bearer <token>. Read/write endpoints require a token with write access.
Response
Supported agent models
The LLM models available to set as an agent model. The set is global and can change over time, so read it here rather than hardcoding values.
Show child attributes
Show child attributes
Was this page helpful?
⌘I